import http from '@/utils/httpConfig';

export const ddrwList = (data) => {
  return http('/jdbg/dddx_ddrw/index', data)
}

export const ddrwAdd = (data) => {
  return http('/jdbg/dddx_ddrw/add', data)
}

export const ddrwEdit = (data) => {
  return http('/jdbg/dddx_ddrw/edit', data)
}

export const ddrwDelete = (data) => {
  return http('/jdbg/dddx_ddrw/delete', data)
}

export const ddrwDetail = (data) => {
  return http('/jdbg/dddx_ddrw/detail', data)
}

export const ddrwSend = (data) => {
  return http('/jdbg/dddx_ddrw/send_obj', data)
}

export const orgList = (data = { limit: 1000 }) => {
  return http('/user/org/index', data)
}

export const orgListTree = (data) => {
  return http('/user/org/list_tree', data)
}

export const userList = (data) => {
  return http('/user/main/index', data)
}


// 任务指标
export const rwzbList = (data) => {
  return http('/jdbg/dddx_ddrw_rwzb/index', data)
}

export const rwzbAdd = (data) => {
  return http('/jdbg/dddx_ddrw_rwzb/add', data)
}

export const rwzbEdit = (data) => {
  return http('/jdbg/dddx_ddrw_rwzb/edit', data)
}

export const rwzbDetail = (data) => {
  return http('/jdbg/dddx_ddrw_rwzb/detail', data)
}

export const rwzbDelete = (data) => {
  return http('/jdbg/dddx_ddrw_rwzb/delete', data)
}


// 下发
export const xfdxAdd = (data) => {
  return http('/jdbg/dddx_ddrw/send', data)
}

export const xfdxList = (data) => {
  return http('/jdbg/dddx_ddrw_xfdx/index', data)
}



export const xfdxTjjlAdd = (data) => {
  return http('/jdbg/dddx_ddrw_tjjl/add', data)
}

export const xfdxTjjlEdit = (data) => {
  return http('/jdbg/dddx_ddrw_tjjl/edit', data)
}

export const xfdxTjjlDetail = (data) => {
  return http('/jdbg/dddx_ddrw_tjjl/detail', data)
}